Package uk.co.mccombe.mapping

# Class GridFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.co.mccombe.mapping.GridFormatException

All Implemented Interfaces:
  `Serializable`

public class GridFormatException extends Exception
An exception thrown when conversion from grid reference is impossible

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GridFormatException(String s)`
Create an exception with the specified message

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Convert Exception to a String

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GridFormatException

public GridFormatException(String s)
Create an exception with the specified message

Parameters:
  `s` - text

## Method Details

### toString

public String toString()
Convert Exception to a String

Overrides:
  `toString` in class `Throwable`
Returns:
  - the message